#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-iadd
version:              1.3.14
visibility:           public
id:                   hledger-iadd-1.3.14-GcosVZixdl3EV5lg2GXjgB
key:                  hledger-iadd-1.3.14-GcosVZixdl3EV5lg2GXjgB
license:              BSD-3-Clause
copyright:            2018 Hans-Peter Deifel
maintainer:           Hans-Peter Deifel <hpd@hpdeifel.de>
author:               Hans-Peter Deifel <hpd@hpdeifel.de>
homepage:             https://github.com/hpdeifel/hledger-iadd#readme
synopsis:             A terminal UI as drop-in replacement for hledger add
description:
    This is a terminal UI as drop-in replacement for hledger add.

    It improves in the following ways on hledger'\''s add command:

    * Interactive as-you-type completion for
    account names and descriptions with optional
    fuzzy matching.

    * Integrated calculator: Amounts can be written
    as simple sums with real-time feedback on the
    result.

    * All actions while entering a transaction can
    be undone

    * Configurable format for date input. Instead
    of @y\/m\/d@ it is also possible to use other
    formats like the german @d.m.y@.

category:             Finance, Console
abi:                  6e3931aa1230e7770e10c115827bf5fc
exposed:              True
exposed-modules:
    AmountParser Brick.Widgets.BetterDialog Brick.Widgets.Border.Utils
    Brick.Widgets.CommentDialog Brick.Widgets.Edit.EmacsBindings
    Brick.Widgets.HelpMessage Brick.Widgets.List.Utils
    Brick.Widgets.WrappedText ConfigParser Data.Time.Ext DateParser
    Model View

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hledger-iadd-1.3.14
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hledger-iadd-1.3.14
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hledger-iadd-1.3.14
hs-libraries:         HShledger-iadd-1.3.14-GcosVZixdl3EV5lg2GXjgB
depends:
    base-4.14.1.0 brick-0.61-L0YbeYFhdI02ACMmcSBeGR containers-0.6.2.1
    directory-1.3.6.0 free-5.1.6-LpkBWCEvxFH7E62QwkVQY0
    hledger-lib-1.21-5sIjbsT4zApCRt2DghofxV
    megaparsec-9.0.1-AnZsw1UGOARHHv5fn6qSVa
    microlens-0.4.12.0-LWmCgM3D0eIxbRgAEzd8k
    microlens-th-0.4.3.9-8lY9YzOSn74KKUTb0A8pMI
    optparse-applicative-0.16.1.0-B9DBBvhrbFt7Di04tN5A7U text-1.2.4.1
    text-zipper-0.11-DDCjeTMvp0VLHfZ4GJ50Ml time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-Db75j8fMRzh4s5oxHejudG
    vector-0.12.3.0-9sHYkvizLwxkl2zr3W4dm
    vty-5.33-Pp0zBwgAsME3iXD2uRz4Z
    xdg-basedir-0.2.2-BqCctxbjkCHCnIL6NK3wKf

haddock-interfaces:   /usr/share/doc/hledger-iadd/html/hledger-iadd.haddock
haddock-html:         /usr/share/doc/hledger-iadd/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

